Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xquery.functions
Class ExtNear

    java.lang.Object
      org.exist.xquery.AbstractExpression
          org.exist.xquery.PathExpr
              org.exist.xquery.Function
                  org.exist.xquery.functions.ExtFulltext
                      org.exist.xquery.functions.ExtNear

All Implemented Interfaces:
  CompiledExpression, CompiledXQuery, Expression

public class ExtNear
extends ExtFulltext

near() function.

Author:
  Wolfgang Meier (July 31, 2002)

Field Summary

Fields inherited from class org.exist.xquery.functions.ExtFulltext
`signature`

Fields inherited from class org.exist.xquery.Function
`BUILTIN_FUNCTION_NS`

Fields inherited from interface org.exist.xquery.Expression
`DOT_TEST, EXPRESSION_ID_INVALID, IGNORE_CONTEXT, IN_PREDICATE, IN_UPDATE, IN_WHERE_CLAUSE, NO_CONTEXT_ID, SINGLE_STEP_EXECUTION`

Constructor Summary
`ExtNear(XQueryContext context)`

Method Summary
`void` | `analyze(AnalyzeContextInfo contextInfo)` Statically analyze the expression and its subexpressions.
`void` | `dump(ExpressionDumper dumper)` Write a diagnostic dump of the expression to the passed `ExpressionDumper`.
`Sequence` | `evalQuery(java.lang.String searchArg, NodeSet nodes)`
`void` | `setMaxDistance(Expression expr)`
`void` | `setMinDistance(Expression expr)`
`java.lang.String` | `tosTring()`

Methods inherited from class org.exist.xquery.functions.ExtFulltext
`addTerm, countTerms, eval, getDependencies, preselect, resetState, returnsType, setContextDocSet, setPath, toString`

Methods inherited from class org.exist.xquery.Function
`createFunction, getArgument, getArgumentCount, getArguments, getASTNode, getCardinality, getName, getParent, getSignature, isCalledAs, setArguments, setASTNode, setParent, setPrimaryAxis`

Methods inherited from class org.exist.xquery.PathExpr
`accept, add, add, addPath, addPredicate, dump, getContext, getDocumentSet, getExpression, getLastExpression, getLength, getLiteralValue, getSource, isValid, replaceLastExpression, reset, setContext, setSource`

Methods inherited from class org.exist.xquery.AbstractExpression
`eval, getContextDocSet, getContextId, getExpressionId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.exist.xquery.CompiledXQuery
`eval`

Constructor Detail

### ExtNear

    public ExtNear(XQueryContext context)

Method Detail

### analyze

    public void analyze(AnalyzeContextInfo contextInfo)
                 throws XPathException

  Description copied from interface: `Expression`
  Statically analyze the expression and its subexpressions. During the static analysis phase, the query engine can detect unknown variables and some type errors.

  Specified by:
    `analyze` in interface `Expression`
  Overrides:
    `analyze` in class `ExtFulltext`
  Throws:
    `XPathException`

### evalQuery

    public Sequence evalQuery(java.lang.String searchArg,
                              NodeSet nodes)
                       throws XPathException

  Overrides:
    `evalQuery` in class `ExtFulltext`
  Throws:
    `XPathException`

### dump

    public void dump(ExpressionDumper dumper)

  Description copied from interface: `Expression`
  Write a diagnostic dump of the expression to the passed `ExpressionDumper`.

  Specified by:
    `dump` in interface `Expression`
  Overrides:
    `dump` in class `ExtFulltext`

### tosTring

    public java.lang.String tosTring()

### setMaxDistance

    public void setMaxDistance(Expression expr)

### setMinDistance

    public void setMinDistance(Expression expr)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.